# ProfilingSummary class

(Shortest import: `from brian2.core.network import ProfilingSummary)`

class brian2.core.network.ProfilingSummary(net, show=None)

  Bases: `object`

  Class to nicely display the results of profiling. Objects of this class are returned by `profiling_summary()`.

  Parameters:

    net : `Network`

    > The `Network` object to profile.

    show : int, optional

    > The number of results to show (the longest results will be shown). If not specified, all results will be shown.

  See also

  `Network.profiling_info`